> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailreadyai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Retailers

> Get a list of your retailers, filter by brand



## OpenAPI

````yaml /openapi.json get /api/retailer/v1/facility/{facility_id}?brand_id={brand_id}
openapi: 3.0.0
info:
  title: Authentication API
  description: API for user authentication and token generation
  version: 1.0.0
servers:
  - url: https://api.retailreadyai.com
    description: Production server
  - url: https://stg.retailreadyai.com
    description: Staging server
security: []
paths:
  /api/retailer/v1/facility/{facility_id}?brand_id={brand_id}:
    get:
      tags:
        - Retailers
      summary: Get Retailers
      description: Get a list of your retailers, filter by brand
      responses:
        '200':
          description: Retailers retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Success message
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        retailer_id:
                          type: string
                          format: uuid
                          description: Unique identifier for the retailer
                        name:
                          type: string
                          description: Name of the retailer
              example:
                data:
                  - retailer_id: 7eab3720-1944-4b01-aea6-972492f017e5
                    name: Target
                  - retailer_id: 1c0bd477-5013-4db8-bc00-9c3a6c65a4da
                    name: CVS
                message: Retailer info retrieved successfully
        '404':
          description: No Retailers found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: Error code
              example:
                message: No retailers found
                error:
                  code: NOT_FOUND
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````